import logging

from ._HandleMessageStrategy import HandleMessageStrategy

logger = logging.getLogger(__name__)


class SingleThreadHandleMessageStrategy(HandleMessageStrategy):
    def handle_message(
        self,
        executor,
        message,
    ):
        executor.handle_message(message=message)
